GDBserver

Public Attributes | List of all members
i387_fxsave Struct Reference

## Public Attributes
unsigned short | fctrl
unsigned short | fstat
unsigned short | ftag
unsigned short | fop
unsigned int | fioff
unsigned short | fiseg
unsigned short | pad1
unsigned int | fooff
unsigned short | foseg
unsigned short | pad12
unsigned int | mxcsr
unsigned int | pad3
unsigned char | st_space [128]
unsigned char | xmm_space [256]

## Detailed Description

Definition at line 58 of file i387-fp.c.

## Member Data Documentation

## ◆ fctrl

unsigned short i387_fxsave::fctrl

Definition at line 61 of file i387-fp.c.

## ◆ fioff

unsigned int i387_fxsave::fioff

Definition at line 65 of file i387-fp.c.

## ◆ fiseg

unsigned short i387_fxsave::fiseg

Definition at line 66 of file i387-fp.c.

## ◆ fooff

unsigned int i387_fxsave::fooff

Definition at line 68 of file i387-fp.c.

## ◆ fop

unsigned short i387_fxsave::fop

Definition at line 64 of file i387-fp.c.

## ◆ foseg

unsigned short i387_fxsave::foseg

Definition at line 69 of file i387-fp.c.

## ◆ fstat

unsigned short i387_fxsave::fstat

Definition at line 62 of file i387-fp.c.

## ◆ ftag

unsigned short i387_fxsave::ftag

Definition at line 63 of file i387-fp.c.

## ◆ mxcsr

unsigned int i387_fxsave::mxcsr

Definition at line 72 of file i387-fp.c.

## ◆ pad1

unsigned short i387_fxsave::pad1

Definition at line 67 of file i387-fp.c.

## ◆ pad12

unsigned short i387_fxsave::pad12

Definition at line 70 of file i387-fp.c.

## ◆ pad3

unsigned int i387_fxsave::pad3

Definition at line 73 of file i387-fp.c.

## ◆ st_space

unsigned char i387_fxsave::st_space[128]

Definition at line 76 of file i387-fp.c.

## ◆ xmm_space

unsigned char i387_fxsave::xmm_space[256]

Definition at line 79 of file i387-fp.c.

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/gdbserver/i387-fp.c